# Uses of Class
org.opensaml.saml.metadata.resolver.index.impl.MetadataIndexStore

Packages that use MetadataIndexStore
Package
Description
org.opensaml.saml.metadata.resolver.index.impl
Implementation of the metadata resolver indexes.

## Uses of MetadataIndexStore in org.opensaml.saml.metadata.resolver.index.impl

Fields in org.opensaml.saml.metadata.resolver.index.impl with type parameters of type MetadataIndexStore
Modifier and Type
Field
Description
`private final Map<MetadataIndex,MetadataIndexStore<T>>`
MetadataIndexManager.`indexes`
Storage for secondary indexes.
Methods in org.opensaml.saml.metadata.resolver.index.impl that return MetadataIndexStore
Modifier and Type
Method
Description
`protected MetadataIndexStore<T>`
MetadataIndexManager.`getStore(MetadataIndex index)`
Get the `MetadataIndexStore` for the specified `MetadataIndex`.